import { render } from './render';
function _r() {
    return render(this, this.instance);
}
export const h = function (instance, $, props, children) {
    if (Array.isArray(props)) {
        return {
            $,
            props: null,
            children: props,
            instance,
            render: _r
        };
    }
    else if (Array.isArray(children)) {
        return {
            $,
            props,
            children,
            instance,
            render: _r
        };
    }
    else {
        return {
            $,
            props,
            children: null,
            instance,
            render: _r
        };
    }
};
